Arduino

Reference Language | Libraries | Comparison | Changes

String

## trim()

#### Description

Get a version of the String with any leading and trailing whitespace removed. As of 1.0, trim() modifies the string in place rather than returning a new one.

#### Syntax

string.trim()

#### Parameters

string: a variable of type String

#### Returns

none

#### Example

- StringLengthTrim

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes